"""website URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/2.2/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path, include

from .settings import INSTALLED_APPS

from core import views

urlpatterns = []
if 'django.contrib.admin' in INSTALLED_APPS:
    urlpatterns += [
        path('backoffice-admin/', admin.site.urls),
        ]
if 'core.apps.CoreConfig' in INSTALLED_APPS:
    urlpatterns += [
        path('', views.index, name='index'),
        path('core/', include('core.urls')),
    ]
if 'knowledgebase.apps.KnowledgebaseConfig' in INSTALLED_APPS:
    urlpatterns += [
        path('knowledgebase/', include('knowledgebase.urls')),
    ]
if 'dancecalendar.apps.DancecalendarConfig' in INSTALLED_APPS:
    urlpatterns += [
        path('dancecalendar/', include('dancecalendar.urls')),
    ]
if 'rotbot.apps.RotbotConfig' in INSTALLED_APPS:
    urlpatterns += [
        path('rotbot/', include('rotbot.urls')),
    ]
